"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class APIError extends Error {
    constructor(res, body) {
        super();
        this.res = res;
        this.url = res.config.url;
        this.code = res.status;
        this.headers = res.headers;
        this.reason = body.startsWith("{") && body.endsWith("}") ? JSON.parse(body).reason || body : body;
        this.message = `BrawlStars API Rejection\n\n${this.url}\n${body}`;
    }
}
exports.default = APIError;
//# sourceMappingURL=APIError.js.map