"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Brawlers = void 0;
class Brawlers {
    constructor(data) {
        this.brawlers = data.items;
        this.brawlerCount = this.brawlers.length;
        this.starPowerCount = this.getStarPowerCount();
        this.gadgetCount = this.getGadgetCount();
    }
    getBrawlers() {
        return this.brawlers;
    }
    getBrawlerCount() {
        return this.brawlerCount;
    }
    getBrawlerByName(name) {
        return this.brawlers.find((brawler) => brawler.name === name);
    }
    getBrawlerById(id) {
        return this.brawlers.find((brawler) => brawler.id === id);
    }
    getGadgetCount() {
        return this.brawlers.reduce((acc, brawler) => {
            return acc + brawler.gadgets.length;
        }, 0);
    }
    getStarPowerCount() {
        return this.brawlers.reduce((acc, brawler) => {
            return acc + brawler.starPowers.length;
        }, 0);
    }
}
exports.Brawlers = Brawlers;
//# sourceMappingURL=brawlers.js.map