import { BattleListInterface, CountryCode, RankingType } from "../utils/types";
import { Brawlers } from "./brawlers";
import { Club } from "./club";
import { Events } from "./events";
import { Player } from "./player";
import { Ranking } from "./rankings";
import request from "./request";
export declare class BrawlClient {
    token: string;
    request: request;
    constructor(token: string);
    getPlayer(tag: string): Promise<Player>;
    getPlayerBattleLog(tag: string): Promise<Array<BattleListInterface>>;
    getClub(tag: string): Promise<Club>;
    getRankings(type?: RankingType, countryCode?: CountryCode, brawlerId?: string): Promise<Ranking>;
    getBrawlers(): Promise<Brawlers>;
    getEvents(): Promise<Events>;
}
export { Player, Brawlers, Club, CountryCode, Events, Ranking, RankingType, BattleListInterface };
