"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Ranking = exports.Events = exports.Club = exports.Brawlers = exports.Player = exports.BrawlClient = void 0;
const brawlers_1 = require("./brawlers");
Object.defineProperty(exports, "Brawlers", { enumerable: true, get: function () { return brawlers_1.Brawlers; } });
const club_1 = require("./club");
Object.defineProperty(exports, "Club", { enumerable: true, get: function () { return club_1.Club; } });
const events_1 = require("./events");
Object.defineProperty(exports, "Events", { enumerable: true, get: function () { return events_1.Events; } });
const player_1 = require("./player");
Object.defineProperty(exports, "Player", { enumerable: true, get: function () { return player_1.Player; } });
const rankings_1 = require("./rankings");
Object.defineProperty(exports, "Ranking", { enumerable: true, get: function () { return rankings_1.Ranking; } });
const request_1 = require("./request");
class BrawlClient {
    constructor(token) {
        this.token = token;
        this.request = new request_1.default(this);
    }
    getPlayer(tag) {
        return __awaiter(this, void 0, void 0, function* () {
            let response = yield this.request.getPlayer(tag);
            return new player_1.Player(response);
        });
    }
    getPlayerBattleLog(tag) {
        return __awaiter(this, void 0, void 0, function* () {
            let response = yield this.request.getPlayerBattleLog(tag);
            return response;
        });
    }
    getClub(tag) {
        return __awaiter(this, void 0, void 0, function* () {
            let response = yield this.request.getClub(tag);
            return new club_1.Club(response);
        });
    }
    getRankings(type, countryCode, brawlerId) {
        return __awaiter(this, void 0, void 0, function* () {
            let response = yield this.request.getRankings(type, countryCode, brawlerId);
            return response;
        });
    }
    getBrawlers() {
        return __awaiter(this, void 0, void 0, function* () {
            let response = yield this.request.getBrawlers();
            return response;
        });
    }
    getEvents() {
        return __awaiter(this, void 0, void 0, function* () {
            let response = yield this.request.getEvents();
            return response;
        });
    }
}
exports.BrawlClient = BrawlClient;
//# sourceMappingURL=client.js.map