"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Club = void 0;
class Club {
    constructor(data) {
        this.tag = data.tag;
        this.name = data.name;
        this.description = data.description;
        this.type = data.type;
        this.badgeId = data.badgeId;
        this.requiredTrophies = data.requiredTrophies;
        this.trophies = data.trophies;
        this.members = data.members;
        this.memberCount = this.members.length;
        this.isFull = this.memberCount == 30;
    }
    getMemberRank(tag) {
        let member = this.members.find((member) => member.tag === tag);
        if (member) {
            return this.members.indexOf(member) + 1;
        }
        return -1;
    }
    getMemberRole(tag) {
        let member = this.members.find((member) => member.tag === tag);
        if (member) {
            return member.role;
        }
        return "";
    }
    getPresident() {
        return this.members.find((member) => member.role === "president");
    }
    getVicePresidents() {
        return this.members.filter((member) => member.role === "vicePresident");
    }
    getSeniors() {
        return this.members.filter((member) => member.role === "senior");
    }
}
exports.Club = Club;
//# sourceMappingURL=club.js.map