import { BrawlerInterface, SmallClubInterface, IconInterface, PlayerInterface } from "../utils/types";
export declare class Player implements PlayerInterface {
    tag: string;
    name: string;
    nameColor: string;
    icon: IconInterface;
    trophies: number;
    highestTrophies: number;
    highestPowerPlayPoints: number | null;
    expLevel: number;
    expPoints: number;
    isQualifiedFromChampionshipChallenge: boolean;
    trioVictories: number;
    soloVictories: number;
    duoVictories: number;
    bestRoboRumbleTime: number;
    brawlersCount: number;
    starPowerCount: number;
    gadgetCount: number;
    gearsCount: number;
    club: SmallClubInterface | null;
    brawlers: BrawlerInterface[];
    constructor(data: any);
    getTotalWins(): number;
    getIconUrl(): Promise<string>;
    getColor(): string;
    getBrawlers(): BrawlerInterface[];
    getBrawlersByTrophies(): BrawlerInterface[];
    getBrawlersByPower(): BrawlerInterface[];
    getBrawlersByRank(): BrawlerInterface[];
    getBrawlerByName(name: string): BrawlerInterface | null;
    getBrawlerById(id: number): BrawlerInterface | null;
    getBrawlerCount(): number;
    getStarPowerCount(): number;
    getGadgetCount(): number;
    getGearCount(): number;
}
