import { BattleListInterface, ClubInterface, CountryCode, RankingType } from "../utils/types";
import { Brawlers } from "./brawlers";
import { BrawlClient } from "./client";
import { Events } from "./events";
import { Player } from "./player";
import { Ranking } from "./rankings";
export default class request {
    client: BrawlClient;
    constructor(client: BrawlClient);
    getHeaders(): {
        Authorization: string;
        Accept: string;
    };
    getPlayer(tag: string): Promise<Player>;
    getPlayerBattleLog(tag: string): Promise<Array<BattleListInterface>>;
    getClub(tag: string): Promise<ClubInterface>;
    getRankings(type?: RankingType, countryCode?: CountryCode, brawlerId?: string | null): Promise<Ranking>;
    getBrawlers(): Promise<Brawlers>;
    getEvents(): Promise<Events>;
}
